# Class OlePropertyDescription

java.lang.Object
org.eclipse.swt.ole.win32.OlePropertyDescription

public class OlePropertyDescription extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`description`
`int`
`flags`
`String`
`helpFile`
`int`
`id`
`int`
`kind`
`String`
`name`
`int`
`type`

## Constructor Summary

Constructors
Constructor
Description
`OlePropertyDescription()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public int id

### name

public String name

### type

public int type

### flags

public int flags

### kind

public int kind

### description

public String description

### helpFile

public String helpFile

## Constructor Details

### OlePropertyDescription

public OlePropertyDescription()